description: Profile for Plugins designed for Web applications
skeleton:
  excludes:
  - app/assets/**/*.*
  - app/i18n/*.properties
  - app/conf/spring/**
  - app/controllers/UrlMappings.groovy
  - app/init/BootStrap.groovy
command:
  excludes:
  - war
features:
  required:
  - gsp
  defaults:
  - asset-pipeline-plugin
  - maven-publish
build:
  merge:
  - base
  - plugin
  excludes:
  - war
  - org.graceframework.grace-web
dependencies:
- scope: compile
  coords: org.graceframework:grace-core
name: web-plugin
extends: org.graceframework.profiles:base:2023.1.0,org.graceframework.profiles:plugin:2023.1.0
